# DataExchange
TKSTEPBase
StepShape

# StepShape_SolidModel Class Reference

`#include <StepShape_SolidModel.hxx>`

Inheritance diagram for StepShape_SolidModel:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_SolidModel ()
| Returns a SolidModel .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_SolidModel::StepShape_SolidModel | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_SolidModel::Handle | ( | Standard_Type |  | ) | const

Reimplemented from StepGeom_GeometricRepresentationItem.

Reimplemented in StepShape_BrepWithVoids, StepShape_CsgSolid, StepShape_ExtrudedAreaSolid, StepShape_ExtrudedFaceSolid, StepShape_FacetedBrep, StepShape_FacetedBrepAndBrepWithVoids, StepShape_ManifoldSolidBrep, StepShape_RevolvedAreaSolid, StepShape_RevolvedFaceSolid, StepShape_SolidReplica, StepShape_SweptAreaSolid, and StepShape_SweptFaceSolid.

The documentation for this class was generated from the following file:

- StepShape_SolidModel.hxx